0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_decompose
GTX Extensions (Experimental)

Decomposes a model matrix to translations, rotation and scale components. More...

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL bool | decompose (mat< 4, 4, T, P > const &modelMatrix, vec< 3, T, P > &scale, tquat< T, P > &orientation, vec< 3, T, P > &translation, vec< 3, T, P > &skew, vec< 4, T, P > &perspective)
| Decomposes a model matrix to translations, rotation and scale components. More...

## Detailed Description

Decomposes a model matrix to translations, rotation and scale components.

<glm/gtx/matrix_decompose.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL bool glm::decompose | ( | mat< 4, 4, T, P > const & | modelMatrix,
|  | vec< 3, T, P > & | scale,
|  | tquat< T, P > & | orientation,
|  | vec< 3, T, P > & | translation,
|  | vec< 3, T, P > & | skew,
|  | vec< 4, T, P > & | perspective
| ) |  |

Decomposes a model matrix to translations, rotation and scale components.

See also
  GLM_GTX_matrix_decompose